## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# StylesheetExecutionContext::PushAndPopContextMarker Class Reference

`#include <StylesheetExecutionContext.hpp>`

Inheritance diagram for StylesheetExecutionContext::PushAndPopContextMarker

Collaboration diagram for StylesheetExecutionContext::PushAndPopContextMarker:

List of all members.

## Public Methods

- PushAndPopContextMarker (StylesheetExecutionContext& executionContext)
- PushAndPopContextMarker ( StylesheetExecutionContext& executionContext, int& currentStackFrameIndex)
- ~PushAndPopContextMarker ()
- StylesheetExecutionContext& getExecutionContext () const

## Constructor & Destructor Documentation

StylesheetExecutionContext::PushAndPopContextMarker::PushAndPopContextMarker ( | StylesheetExecutionContext & executionContext )

StylesheetExecutionContext::PushAndPopContextMarker::PushAndPopContextMarker ( | StylesheetExecutionContext & executionContext,
| int & currentStackFrameIndex )

StylesheetExecutionContext::PushAndPopContextMarker::~PushAndPopContextMarker ( | )`[]`

## Member Function Documentation

StylesheetExecutionContext & StylesheetExecutionContext::PushAndPopContextMarker::getExecutionContext ( | ) const`[]`

The documentation for this class was generated from the following file:

- StylesheetExecutionContext.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.